Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List realtime

GET/workspaces/{organizationId}/realtime
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Query parameters
tokenstring

Workspace API key for browser WebSocket clients, which cannot set the Authorization header

Responses
101

Switching Protocols to WebSocket

200

Realtime endpoint (non-upgrade request)

426

Upgrade Required

Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/realtime' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
Switching Protocols to WebSocket

Was this page helpful?